Devis d'un reversement
curl --request GET \
--url https://apidjonanko.tech/web-merchant/disbursement-quote \
--header 'authenticationtoken: <api-key>'const options = {method: 'GET', headers: {authenticationtoken: '<api-key>'}};
fetch('https://apidjonanko.tech/web-merchant/disbursement-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apidjonanko.tech/web-merchant/disbursement-quote"
headers = {"authenticationtoken": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apidjonanko.tech/web-merchant/disbursement-quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authenticationtoken: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"gross": 50000,
"fees": 1000,
"net": 49000,
"method": "MOBILE_MONEY",
"feeRate": 0.02,
"feeFixed": null,
"hasPrimaryAccount": true,
"primaryAccountType": "wave",
"minimumAmount": 500
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Merchant not found",
"error": "Not Found"
}Reversements
Devis d'un reversement
Calcule les frais et le montant net que vous recevrez pour un montant donné, selon le type de votre compte principal (2 % mobile money, 1 500 FCFA banque). Sans compte principal, le calcul suppose du mobile money.
GET
/
web-merchant
/
disbursement-quote
Devis d'un reversement
Authorizations
JWT obtenu via POST /user/login-merchant. À passer tel quel, sans préfixe Bearer.
Query Parameters
Référence de votre compte marchand (celle choisie à l'inscription, ex. beautyshop).
Example:
"beautyshop"
Montant brut envisagé, en FCFA.
Example:
50000
Response
Devis.
Détail du calcul des frais d'un reversement.
Montant demandé, débité du solde.
Example:
50000
Example:
1000
Montant envoyé au bénéficiaire.
Example:
49000
Available options:
MOBILE_MONEY, BANK Taux appliqué (mobile money).
Example:
0.02
Frais fixes appliqués (banque).
Example:
null
Example:
"wave"
Example:
500
